Subject: [PATCH 2/2] media: davinci: vpbe: venc: move the enabling of vpss clocks to driver

From: [email-masked] (Sekhar Nori)
Date: Mon, 25 Mar 2013 16:48:10 +0530

On 3/25/2013 3:45 PM, Prabhakar Lad wrote:
> Hi Sekhar,
> 
> On Mon, Mar 25, 2013 at 11:09 AM, Sekhar Nori <[email-masked]> wrote:
>> On 3/22/2013 1:23 PM, Prabhakar lad wrote:
>>> From: Lad, Prabhakar <[email-masked]>
>>>
>>> The vpss clocks were enabled by calling a exported function from a driver
>>> in a machine code. calling driver code from platform code is incorrect way.
>>>
>>> This patch fixes this issue and calls the function from driver code itself.
>>>
>>> Signed-off-by: Lad, Prabhakar <[email-masked]>
>>> ---
>>>  Note: This patch is based on the comment from Sekhar
>>>       (https://patchwork-mail1.kernel.org/patch/2278441/).
>>>       Shekar I haven't completely removed the callback, I just added
>>>       the function calls after the callback. As you mentioned just to
>>>       pass the VPSS_CLK_CTRL as a resource to venc but the VPSS_CLK_CTRL
>>>       is already being used by VPSS driver. I'll take this cleanup task later
>>>       point of time.
>>
>> Fine by me.
>>
> Can I have your ACK on this patch ?

The 'fine' from me was for the approach, not not patch ;). Seriously
though, since this patch is only touching media/ I haven't really done a
detailed enough review of it. In any case, it should be OK to merge this
without my ack.

Thanks,
Sekhar